### Method

# Gimp Image remove_layer

#### Declaration [src]

    gboolean
    gimp_image_remove_layer (
      GimpImage* image,
      GimpLayer* layer
    )

#### Description [src]

Remove the specified layer from the image.

This procedure removes the specified layer from the image. If the layer doesn’t exist, an error is returned. If there are no layers left in the image, this call will fail. If this layer is the last layer remaining, the image will become empty and have no active layer.

#### Parameters

`layer` | `GimpLayer`
| The layer.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.